#!/usr/bin/perl -w

# Copyright (c) 2003 Sun Microsystems, Inc. All rights reserved
# SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.

# redir.pl - a really dumb way of redirecting :80/ to :8443/sdui
# $Id: redir.pl,v 1.10 2004/03/26 22:18:07 sv122840 Exp $

use strict;
use CGI qw(:standard);
use lib '/scs/lib/perl5';
use SysCmd;

my @InvalidServerNames = (
			  "",
			  "127.0.0.1",
			  "localhost.localdomain",
			  );
my $query = new CGI;
my $server_name = $query->server_name();
my $valid_server_name = 1;
my $license_file = "/var/tomcat4/bin/license.txt";

$valid_server_name = 0 unless (defined($server_name));

if ($valid_server_name) {
    chomp($server_name);
    foreach (@InvalidServerNames) {
	if ($server_name eq $_) {
	    $valid_server_name = 0;
	    last;
	}
    }    
}

if (-e $license_file) {        

    my $param_action = $query->param('action');

    if (defined $param_action && $param_action eq "Agree") {
	rename($license_file,"$license_file.agreed");
    } else {
	print $query->header(-type=>"text/html");
	
	print <<EOLICENSE;
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
<HTML>

<HEAD>
<META http-equiv="Content-Type" content="text/html; charset=US-ASCII">
<TITLE>Sun Control Station</TITLE>
</HEAD>

<BODY BGCOLOR="#EAF2FF" VLINK="#FF0000">

<CENTER>
<H1>Welcome to Sun&#153; Control Station</H1>
<BR>
<BR>
<TABLE>
<TR>
<TD><PRE> </PRE></TD>
<TD>

<H3>Sun Microsystems, Inc.</H3>
<H4>Binary Code License Agreement</H4>

<B>READ THE TERMS OF THIS AGREEMENT AND ANY PROVIDED SUPPLEMENTAL
LICENSE TERMS COLLECTIVELY "AGREEMENT") CAREFULLY BEFORE OPENING THE
SOFTWARE MEDIA PACKAGE. BY OPENING THE SOFTWARE MEDIA PACKAGE, YOU
AGREE TO THE TERMS OF THIS AGREEMENT. IF YOU ARE ACCESSING THE
SOFTWARE ELECTRONICALLY, INDICATE YOUR ACCEPTANCE OF THESE TERMS BY
SELECTING THE "ACCEPT" BUTTON AT THE END OF THIS AGREEMENT. IF YOU DO
NOT AGREE TO ALL THESE TERMS, PROMPTLY RETURN THE UNUSED SOFTWARE TO
YOUR PLACE OF PURCHASE FOR A REFUND OR, IF THE SOFTWARE IS ACCESSED
ELECTRONICALLY, SELECT THE "DECLINE" BUTTON AT THE END OF THIS
AGREEMENT.</B>

<OL>

<LI><B>LICENSE TO USE.</B> Sun grants you a non-exclusive and
non-transferable license for the internal use only of the accompanying
software and documentation and any error corrections provided by Sun
(collectively "Software"), by the number of users and the class of
computer hardware for which the corresponding fee has been paid.

<LI><B>RESTRICTIONS.</B> Software is confidential and
copyrighted. Title to Software and all associated intellectual
property rights is retained by Sun and/or its licensors. Except as
specifically authorized in any Supplemental License Terms, you may not
make copies of Software, other than a single copy of Software for
archival purposes. Unless enforcement is prohibited by applicable law,
you may not modify, decompile, or reverse engineer Software. You
acknowledge that Software is not designed or intended for use in the
design, construction, operation or maintenance of any nuclear
facility. Sun disclaims any express or implied warranty of fitness for
such uses. No right, title or interest in or to any trademark, service
mark, logo or trade name of Sun or its licensors is granted under this
Agreement.

<LI><B>LIMITED WARRANTY.</B> Sun warrants to you that for a period of
ninety (90) days from the date of purchase, as evidenced by a copy of
the receipt, the media on which Software is furnished (if any) will be
free of defects in materials and workmanship under normal use. Except
for the foregoing, Software is provided "AS IS". Your exclusive remedy
and Sun's entire liability under this limited warranty will be at
Sun's option to replace Software media or refund the fee paid for
Software.

<LI><B>DISCLAIMER OF WARRANTY. UNLESS SPECIFIED IN THIS AGREEMENT, ALL
EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND WARRANTIES,
INCLUDING ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A
PARTICULAR PURPOSE OR NON-INFRINGEMENT ARE DISCLAIMED, EXCEPT TO THE
EXTENT THAT THESE DISCLAIMERS ARE HELD TO BE LEGALLY INVALID.</B>

<LI><B>LIMITATION OF LIABILITY. TO THE EXTENT NOT PROHIBITED BY LAW,
IN NO EVENT WILL SUN OR ITS LICENSORS BE LIABLE FOR ANY LOST REVENUE,
PROFIT OR DATA, OR FOR SPECIAL, INDIRECT, CONSEQUENTIAL, INCIDENTAL OR
PUNITIVE DAMAGES, HOWEVER CAUSED REGARDLESS OF THE THEORY OF
LIABILITY, ARISING OUT OF OR RELATED TO THE USE OF OR INABILITY TO USE
SOFTWARE, EVEN IF SUN HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH
DAMAGES.</B> In no event will Sun's liability to you, whether in
contract, tort (including negligence), or otherwise, exceed the amount
paid by you for Software under this Agreement. The foregoing
limitations will apply even if the above stated warranty fails of its
essential purpose.

<LI><B>TERMINATION.</B> This Agreement is effective until
terminated. You may terminate this Agreement at any time by destroying
all copies of Software. This Agreement will terminate immediately
without notice from Sun if you fail to comply with any provision of
this Agreement. Upon Termination, you must destroy all copies of
Software.

<LI><B>EXPORT REGULATIONS.</B> All Software and technical data
delivered under this Agreement are subject to US export control laws
and may be subject to export or import regulations in other
countries. You agree to comply strictly with all such laws and
regulations and acknowledge that you have the responsibility to obtain
such licenses to export, re-export, or import as may be required after
delivery to you.

<LI><B>U.S. GOVERNMENT RESTRICTED RIGHTS.</B> If Software is being
acquired by or on behalf of the U.S. Government or by a
U.S. Government prime contractor or subcontractor (at any tier), then
the Government's rights in Software and accompanying documentation
will be only as set forth in this Agreement; this is in accordance
with 48 CFR 227.7201 through 227.7202-4 (for Department of Defense
(DOD) acquisitions) and with 48 CFR 2.101 and 12.212 (for non-DOD
acquisitions).

<LI><B>GOVERNING LAW.</B> Any action related to this Agreement will be
governed by California law and controlling U.S. federal law. No choice
of law rules of any jurisdiction will apply.

<LI>SEVERABILITY.</B> If any provision of this Agreement is held to be
unenforceable, this Agreement will remain in effect with the provision
omitted, unless omission would frustrate the intent of the parties, in
which case this Agreement will immediately terminate.

<LI>INTEGRATION.</B> This Agreement is the entire agreement between
you and Sun relating to its subject matter.  It supersedes all prior
or contemporaneous oral or written communications, proposals,
representations and warranties and prevails over any conflicting or
additional terms of any quote, order, acknowledgment, or other
communication between the parties relating to its subject matter
during the term of this Agreement. No modification of this Agreement
will be binding, unless in writing and signed by an authorized
representative of each party.
</OL>
<P>For inquiries please contact: Sun Microsystems, Inc. 4150 Network
Circle, Santa Clara, California 95054.</P>

<P>Sun Microsystems, Inc.</P>

<P>Supplemental Terms for Sun Control Station, Version 2.0</P>

<P>These Supplemental Terms for the Sun Control Station supplement the
terms of the Binary Code License Agreement ("BCL").  Capitalized terms
not defined herein shall have the meanings ascribed to them in the
BCL. These Supplemental Terms will supersede any inconsistent or
conflicting terms in the BCL.  Use of the Sun Control Station and/or
accessing the Software constitutes acceptance of the Agreement
hereby.</P>

<P><B>A.  ADDITIONAL USE CONDITIONS.</B></P>
<OL>

<LI>Limited Usage.  "Managed Node" means a computer server with no
more than 2 central processing units "CPU's" to be managed using the
Software.  Subject to the terms and conditions of this Agreement, Sun
grants you a non-exclusive, non-transferable, limited license to use
internally the binary form of the Software to manage the number of
Managed Nodes for which the corresponding fee has been paid.

<LI>SCS Agent Limited Usage. In addition to the Limited Usage granted
above and subject to the terms and conditions of this Agreement, Sun
grants you a non-exclusive, non-transferable, limited license to use
internally the binary form of the Sun Control Station Agents portion
of the Software ("SCS Agents") installed on the number of Managed
Nodes for which the corresponding fee has been paid.
</OL>

<P><B>B.  BlueLinQ Feature.</B> The terms of the Agreement shall apply
to operation of the Software's BlueLinQ feature, including without
limitation:</P>

<P>(i)your contacting Sun;<BR>
(ii)software and information downloads from any Sun website; and<BR>
(iii)your election to distribute software and information to managed
devices.<BR></P>

<P><B>C.  Separation of Components.</B> With the exception of the SCS
Agents, the Software is licensed as a single product, and its
component parts may not be separated for use on more than one
computer.

<OL>

<LI><B>ADDITIONAL RESTRICTIONS.</B> You may not publish or provide the
results of any benchmark or comparison tests run on the Software to
any third party without the prior written consent of Sun.

<LI><B>THIRD PARTY CODE.</B> Additional copyright notices and license
terms applicable to portions of the Software are set forth in the <A
HREF="/pkgs/THIRDPARTYLICENSEREADME.html">THIRDPARTYLICENSEREADME</A>
file. In addition to any terms and conditions of any third party
opensource/freeware license identified in the <A
HREF="/pkgs/THIRDPARTYLICENSEREADME.html">THIRDPARTYLICENSEREADME</A>
file, the disclaimer of warranty and limitation of liability
provisions in paragraphs 5 and 6 of the Binary Code License Agreement
shall apply to all Software in this distribution.

</OL>


<P>Sun Microsystems Inc. Try and Buy Binary Software License Agreement</P>

<P><B>SUN IS WILLING TO LICENSE THE ACCOMPANYING BINARY SOFTWARE IN
MACHINE- READABLE FORM, TOGETHER WITH ACCOMPANYING DOCUMENTATION
(COLLECTIVELY "SOFTWARE") TO YOU ONLY UPON THE CONDITION THAT YOU
ACCEPT ALL OF THE TERMS AND CONDITIONS CONTAINED IN THIS TRY AND BUY
LICENSE AGREEMENT. READ THE TERMS AND CONDITIONS OF THIS AGREEMENT
CAREFULLY BEFORE OPENING THE SOFTWARE MEDIA PACKAGE. BY OPENING THE
SOFTWARE MEDIA PACKAGE, YOU AGREE TO THE TERMS OF THIS AGREEMENT. IF
YOU ARE ACCESSING THE SOFTWARE ELECTRONICALLY, INDICATE YOUR
ACCEPTANCE OF THESE TERMS BY SELECTING THE "ACCEPT" BUTTON AT THE END
OF THIS AGREEMENT. IF YOU DO NOT AGREE TO ALL THESE TERMS, PROMPTLY
RETURN THE UNUSED SOFTWARE TO YOUR PLACE OF PURCHASE FOR A REFUND OR,
IF THE SOFTWARE IS ACCESSED ELECTRONICALLY, SELECT THE "DECLINE"
BUTTON AT THE END OF THIS AGREEMENT. </B></P>

<P><B>LICENSE TO EVALUATE (TRY) THE SOFTWARE:</B> If you have not paid
the applicable license fees for the Software, the Binary Code License
Agreement ("BCL") and the Evaluation Terms ("Evaluation Terms") shall
apply. The BCL and the Evaluation Terms shall collectively be referred
to as the Evaluation Agreement ("Evaluation Agreement").</P>

<P><B>LICENSE TO USE (BUY) THE SOFTWARE:</B> If you have paid the
applicable license fees for the Software, the BCL and the Supplemental
Terms ("Supplemental Terms") provided following the BCL shall
apply. The BCL and the Supplemental Terms shall collectively be
referred to as the Agreement ("Agreement"). </P>

<P<B>EVALUATION TERMS</B></P>

<P>If you have not paid the applicable license fees for the Software,
the terms of the Evaluation Agreement shall apply. These Evaluation
Terms add to or modify the terms of the BCL. Capitalized terms not
defined in these Evaluation Terms shall have the same meanings
ascribed to them in the BCL. These Evaluation Terms shall supersede
any inconsistent or conflicting terms in the BCL, or in any license
contained within the Software.</P>

<P><B>I. LICENSE TO EVALUATE.</B> Sun grants to you, a non-exclusive,
non-transferable, royalty-free and limited license to use the Software
internally for the purposes of evaluation only for ninety (90) days
after the date you install the Software on your system ("Evaluation
Period"). No license is granted to you for any other purpose. You may
not sell, rent, loan or otherwise encumber or transfer the Software in
whole or in part, to any third party. Licensee shall have no right to use
the Software for productive or commercial use. </P>

<P><B>II. TIMEBOMB.</B> Software may contain a timebomb mechanism. You
agree to hold Sun harmless from any claims based on your use of
Software for any purposes other than those of internal evaluation.</P>

<P><B>III. TERMINATION AND/OR EXPIRATION.</B> Upon expiration of the
Evaluation Period, unless terminated earlier by Sun, you agree to
immediately cease use of and destroy Software.</P>

<P><B>IV. NO SUPPORT.</B> Sun is under no obligation to support
Software or to provide upgrades or error corrections ("Software
Updates") to the Software. If Sun, at its sole option, supplies
Software Updates to you, the Software Updates will be considered part
of Software, and subject to the terms of this Agreement.</P>

<P><B>V. NO SUPPLEMENTAL TERMS.</B> The Supplemental Terms do not
apply to the Evaluation Agreement.</P>


<P>EULA-Web.806-2740-11 LFI#134596</P>
</TD>
<TD><PRE> </PRE></TD>
</TR>
</TABLE>

EOLICENSE

        print $query->start_form();
	print $query->submit('action',"Agree");
	print $query->submit('action',"Disagree");
	print $query->end_form();
	print "</CENTER></BODY></HTML>\n";

	exit(0);
    }


}

if ($valid_server_name) {
    if (SysCmd::getOS() eq 'Linux') {
    	print $query->redirect("https://$server_name:8443/sdui/");
    } else {
	print $query->redirect("http://$server_name:8080/sdui/");
    }
    exit 0;
}

print $query->header(-type=>"text/html");

print <<EOHTML;
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
<HTML>

<HEAD>
<META http-equiv="Content-Type" content="text/html; charset=US-ASCII">
<TITLE>Sun Control Station</TITLE>
</HEAD>

<BODY BGCOLOR="#EAF2FF" VLINK="#FF0000">

<CENTER>
<H1>Welcome to Sun&#153; Control Station</H1>
<BR>
<BR>
<BR>
<BR>
<BR>
To logon to this server use a URL of the form:
<BR>
<BR>
<H3>https://<i>servername</i>:8443/sdui/<H3>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<TABLE>
<TR>
<TD><PRE> </PRE></TD>
<TD>
<FONT SIZE="-2">
Copyright &#169; 1997-2003 Sun Microsystems, Inc.  All rights
reserved. Use is subject to license terms. U.S. Government Rights -
Commercial software. Government users are subject to the Sun
Microsystems, Inc. standard license agreement and applicable
provisions of the FAR and its supplements. This distribution may
include materials developed by third parties. Third-party software,
including font technology, is copyrighted and licensed from Sun
suppliers. Portions may be derived from Berkeley BSD systems, licensed
from U. of CA. Sun Microsystems, Inc. has intellectual property rights
relating to technology embodied in this product. In particular, and
without limitation, these intellectual property rights may include one
or more of the U.S. patents listed at http://www.sun.com/patents and
one or more additional patents or pending patent applications in the
U.S. and in other countries. The Sun logo, Java and Sun Control
Station are trademarks or registered trademarks of Sun Microsystems,
Inc. in the U.S. and other countries.  All SPARC trademarks are used
under license and are trademarks or registered trademarks of SPARC
International, Inc. in the U.S. and other countries.
</FONT>
</TD>
<TD><PRE> </PRE></TD>
</TR>
</TABLE>
</CENTER>

</BODY>
</HTML>

EOHTML

exit 0;
